Don't rely on builtins to determine python version?

Bug #1292942 reported by Matthew Russell on 2014-03-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Pyflakes
Fix Released
Low
Unassigned
pyflakes (Ubuntu)
Undecided
Unassigned

Bug Description

Please see:
https://bugs.launchpad.net/pyflakes/+bug/1277606/comments/4

I think pyflakes could use:

PY2 = sys.version.startswith('2')

instead of the try/except in checker.py ?

Florent (florent.x) wrote :

Fixed in trunk, thank you

Changed in pyflakes:
importance: Undecided → Low
milestone: none → 0.8
status: New → Fix Committed
Florent (florent.x) on 2014-03-22
Changed in pyflakes:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers